tosca_definitions_version: tosca_simple_yaml_1_0_0
node_types:
  org.openecomp.resource.vfc.spPartner_VFC:
    derived_from: tosca.nodes.Root
    description: Represents a SP Partner
    properties:
      id:
        type: string
        required: true
        description: Identifier of the SP Partner
      url:
        type: string
        required: true
        description: url of ONAP of peer SP Partner
    requirements:
    - service_dependency:
        capability: org.openecomp.capabilities.AllottedResource
        relationship: tosca.relationships.DependsOn
        node: tosca.services.Root

